# _fluid_preset_t Struct Reference

## Data Fields

void * | data
fluid_sfont_t * | sfont
int(* | noteon )(fluid_preset_t *preset, fluid_synth_t *synth, int chan, int key, int vel)
| handle a noteon event.
int(* | notify )(fluid_preset_t *preset, int reason, int chan)
| Implement this function if the preset needs to be notified about preset select and unselect events.

## Detailed Description

Definition at line 122 of file sfont.h.

## Field Documentation

int(* _fluid_preset_t::noteon)(fluid_preset_t *preset, fluid_synth_t *synth, int chan, int key, int vel)

handle a noteon event.

Returns 0 if no error occured.

int(* _fluid_preset_t::notify)(fluid_preset_t *preset, int reason, int chan)

Implement this function if the preset needs to be notified about preset select and unselect events.

The documentation for this struct was generated from the following file:

- include/fluidsynth/sfont.h